package club.clubk.ktag.apps.medic

/**
 * Auto-heal settings.
 */
enum class AutoHealSetting(val value: Int) {
    NONE(0),
    RED(1),
    BLUE(2),
    ALL(3);

    companion object {
        fun fromInt(value: Int): AutoHealSetting =
            entries.find { it.value == value } ?: NONE
    }
}
